Operations - List
Uvádí všechny dostupné operace REST API od Microsoftu. Poskytovatel vyhledávání.
GET https://management.azure.com/providers/Microsoft.Search/operations?api-version=2026-11-01
Parametry identifikátoru URI
| Název | V | Vyžadováno | Typ | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string minLength: 1 |
Verze rozhraní API, která se má použít pro tuto operaci. |
Odpovědi
| Název | Typ | Description |
|---|---|---|
| 200 OK |
Operace Azure byla úspěšně dokončena. |
|
| Other Status Codes |
Neočekávaná chybová odpověď |
Zabezpečení
azure_auth
Tok OAuth2 služby Azure Active Directory.
Typ:
oauth2
Tok:
implicit
URL autorizace:
https://login.microsoftonline.com/common/oauth2/authorize
Rozsahy
| Název | Description |
|---|---|
| user_impersonation | vydávat se za svůj uživatelský účet |
Příklady
SearchListOperations
Ukázkový požadavek
GET https://management.azure.com/providers/Microsoft.Search/operations?api-version=2026-11-01
Ukázková odpověď
{
"value": [
{
"name": "Microsoft.Search/operations/read",
"display": {
"description": "Lists all of the available operations of the Microsoft.Search provider.",
"operation": "List all available operations",
"provider": "Microsoft Search",
"resource": "Search Services"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/register/action",
"display": {
"description": "Registers the subscription for the search resource provider and enables the creation of search services.",
"operation": "Register the Search Resource Provider",
"provider": "Microsoft Search",
"resource": "Search Services"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/write",
"display": {
"description": "Creates or updates the search service.",
"operation": "Set Search Service",
"provider": "Microsoft Search",
"resource": "Search Services"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/read",
"display": {
"description": "Reads the search service.",
"operation": "Get Search Service",
"provider": "Microsoft Search",
"resource": "Search Services"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/delete",
"display": {
"description": "Deletes the search service.",
"operation": "Delete Search Service",
"provider": "Microsoft Search",
"resource": "Search Services"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/start/action",
"display": {
"description": "Starts the search service.",
"operation": "Start Search Service",
"provider": "Microsoft Search",
"resource": "Search Services"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/stop/action",
"display": {
"description": "Stops the search service.",
"operation": "Stop Search Service",
"provider": "Microsoft Search",
"resource": "Search Services"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/listAdminKeys/action",
"display": {
"description": "Reads the admin keys.",
"operation": "Get Admin Key",
"provider": "Microsoft Search",
"resource": "Search Services"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/regenerateAdminKey/action",
"display": {
"description": "Regenerates the admin key.",
"operation": "Regenerate Admin Key",
"provider": "Microsoft Search",
"resource": "Search Services"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/listQueryKeys/action",
"display": {
"description": "Returns the list of query API keys for the given Azure AI Search service.",
"operation": "Get Query Keys",
"provider": "Microsoft Search",
"resource": "API Keys"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/createQueryKey/action",
"display": {
"description": "Creates the query key.",
"operation": "Create Query Key",
"provider": "Microsoft Search",
"resource": "Search Services"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/deleteQueryKey/delete",
"display": {
"description": "Deletes the query key.",
"operation": "Delete Query Key",
"provider": "Microsoft Search",
"resource": "API Keys"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/checkNameAvailability/action",
"display": {
"description": "Checks availability of the service name.",
"operation": "Check Service Name Availability",
"provider": "Microsoft Search",
"resource": "Service Name Availability"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/diagnosticSettings/read",
"display": {
"description": "Gets the diganostic setting for the resource.",
"operation": "Get Diagnostic Setting",
"provider": "Microsoft Search",
"resource": "Diagnostic Settings"
},
"isDataAction": false,
"origin": "system"
},
{
"name": "Microsoft.Search/searchServices/diagnosticSettings/write",
"display": {
"description": "Creates or updates the diganostic setting for the resource.",
"operation": "Set Diagnostic Setting",
"provider": "Microsoft Search",
"resource": "Diagnostic Settings"
},
"isDataAction": false,
"origin": "system"
},
{
"name": "Microsoft.Search/searchServices/metricDefinitions/read",
"display": {
"description": "Gets the available metrics for the search service.",
"operation": "Read search service metric definitions",
"provider": "Microsoft Search",
"resource": "The metric definitions for the search service"
},
"isDataAction": false,
"origin": "system"
},
{
"name": "Microsoft.Search/searchServices/logDefinitions/read",
"display": {
"description": "Gets the available logs for the search service.",
"operation": "Read search service log definitions",
"provider": "Microsoft Search",
"resource": "The log definition for the search service"
},
"isDataAction": false,
"origin": "system"
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/validate/action",
"display": {
"description": "Validates a private endpoint connection create call from NRP (Microsoft.Network Resource Provider) side.",
"operation": "Validate Private Endpoint Connection Proxy",
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection Proxy"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/write",
"display": {
"description": "Creates a private endpoint connection proxy with the specified parameters or updates the properties or tags for the specified private endpoint connection proxy.",
"operation": "Create Private Endpoint Connection Proxy",
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection Proxy"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/read",
"display": {
"description": "Returns the list of private endpoint connection proxies or gets the properties for the specified private endpoint connection proxy.",
"operation": "Get Private Endpoint Connection Proxy",
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection Proxy"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/delete",
"display": {
"description": "Deletes an existing private endpoint connection proxy.",
"operation": "Delete Private Endpoint Connection Proxy",
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection Proxy"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnections/write",
"display": {
"description": "Creates a private endpoint connection with the specified parameters or updates the properties or tags for the specified private endpoint connections.",
"operation": "Create Private Endpoint Connection",
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection"
},
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnections/read",
"display": {
"description": "Returns the list of private endpoint connections or gets the properties for the specified private endpoint connection.",
"operation": "Get Private Endpoint Connection",
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection"
},
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnections/delete",
"display": {
"description": "Deletes an existing private endpoint connection.",
"operation": "Delete Private Endpoint Connection",
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection"
},
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/write",
"display": {
"description": "Creates a new shared private link resource with the specified parameters or updates the properties for the specified shared private link resource.",
"operation": "Create Shared Private Link Resource",
"provider": "Microsoft Search",
"resource": "Shared Private Link Resource"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/read",
"display": {
"description": "Returns the list of shared private link resources or gets the properties for the specified shared private link resource.",
"operation": "Get Shared Private Link Resource",
"provider": "Microsoft Search",
"resource": "Shared Private Link Resource"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/delete",
"display": {
"description": "Deletes an existing shared private link resource.",
"operation": "Delete Shared Private Link Resource",
"provider": "Microsoft Search",
"resource": "Shared Private Link Resource"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/operationStatuses/read",
"display": {
"description": "Get the details of a long running shared private link resource operation.",
"operation": "Get Operation Status",
"provider": "Microsoft Search",
"resource": "Shared Private Link Resource"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/indexes/read",
"display": {
"description": "Return an index or its statistics, return a list of indexes or their statistics, or test the lexical analysis components of an index.",
"operation": "Read Index",
"provider": "Microsoft Search",
"resource": "Indexes"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/indexes/write",
"display": {
"description": "Create an index or modify its properties.",
"operation": "Create or Update Index",
"provider": "Microsoft Search",
"resource": "Indexes"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/indexes/delete",
"display": {
"description": "Delete an index.",
"operation": "Delete Index",
"provider": "Microsoft Search",
"resource": "Indexes"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/synonymMaps/read",
"display": {
"description": "Return a synonym map or a list of synonym maps.",
"operation": "Read Synonym Map",
"provider": "Microsoft Search",
"resource": "Synonym Maps"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/synonymMaps/write",
"display": {
"description": "Create a synonym map or modify its properties.",
"operation": "Create or Update Synonym Map",
"provider": "Microsoft Search",
"resource": "Synonym Maps"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/synonymMaps/delete",
"display": {
"description": "Delete a synonym map.",
"operation": "Delete Synonym Map",
"provider": "Microsoft Search",
"resource": "Synonym Maps"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/dataSources/read",
"display": {
"description": "Return a data source or a list of data sources.",
"operation": "Read Data Source",
"provider": "Microsoft Search",
"resource": "Data Sources"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/dataSources/write",
"display": {
"description": "Create a data source or modify its properties.",
"operation": "Create or Update Data Source",
"provider": "Microsoft Search",
"resource": "Data Sources"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/dataSources/delete",
"display": {
"description": "Delete a data source.",
"operation": "Delete Data Source",
"provider": "Microsoft Search",
"resource": "Data Sources"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/skillsets/read",
"display": {
"description": "Return a skillset or a list of skillsets.",
"operation": "Read Skillset",
"provider": "Microsoft Search",
"resource": "Skillsets"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/skillsets/write",
"display": {
"description": "Create a skillset or modify its properties.",
"operation": "Create or Update Skillset",
"provider": "Microsoft Search",
"resource": "Skillsets"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/skillsets/delete",
"display": {
"description": "Delete a skillset.",
"operation": "Delete Skillset",
"provider": "Microsoft Search",
"resource": "Skillsets"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/indexers/read",
"display": {
"description": "Return an indexer or its status, or return a list of indexers or their statuses.",
"operation": "Read Indexer",
"provider": "Microsoft Search",
"resource": "Indexers"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/indexers/write",
"display": {
"description": "Create an indexer, modify its properties, or manage its execution.",
"operation": "Create or Manage Indexer",
"provider": "Microsoft Search",
"resource": "Indexers"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/indexers/delete",
"display": {
"description": "Delete an indexer.",
"operation": "Delete Indexer",
"provider": "Microsoft Search",
"resource": "Indexers"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/debugSessions/read",
"display": {
"description": "Return a debug session or a list of debug sessions.",
"operation": "Read Debug Session",
"provider": "Microsoft Search",
"resource": "Debug Sessions"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/debugSessions/write",
"display": {
"description": "Create a debug session or modify its properties.",
"operation": "Create or Update Debug Session",
"provider": "Microsoft Search",
"resource": "Debug Sessions"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/debugSessions/delete",
"display": {
"description": "Delete a debug session.",
"operation": "Delete Debug Session",
"provider": "Microsoft Search",
"resource": "Debug Sessions"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/debugSessions/execute/action",
"display": {
"description": "Use a debug session, get execution data, or evaluate expressions on it.",
"operation": "Execute Debug Session",
"provider": "Microsoft Search",
"resource": "Debug Sessions"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/indexes/documents/read",
"display": {
"description": "Read documents or suggested query terms from an index.",
"operation": "Read Documents",
"provider": "Microsoft Search",
"resource": "Documents"
},
"isDataAction": true,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/indexes/documents/write",
"display": {
"description": "Upload documents to an index or modify existing documents.",
"operation": "Write Documents",
"provider": "Microsoft Search",
"resource": "Documents"
},
"isDataAction": true,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/indexes/documents/delete",
"display": {
"description": "Delete documents from an index.",
"operation": "Delete Documents",
"provider": "Microsoft Search",
"resource": "Documents"
},
"isDataAction": true,
"origin": "user,system"
}
]
}
Definice
| Název | Description |
|---|---|
|
Action |
Výčet. Označuje typ akce. Interní označuje akce, které jsou určené pouze pro interní rozhraní API. |
|
Cloud |
Obsahuje informace o chybě rozhraní API. |
|
Cloud |
Popisuje konkrétní chybu rozhraní API s kódem chyby a zprávou. |
| Display |
Lokalizované informace o zobrazení pro tuto konkrétní operaci |
| Operation |
Operace rozhraní REST API |
|
Operation |
Výsledek požadavku na výpis operací rozhraní REST API. Obsahuje seznam operací a adresu URL pro získání další sady výsledků. |
| Origin |
Zamýšlený vykonavatel operace; například v řízení přístupu založeném na prostředcích (RBAC) a v uživatelském rozhraní auditních protokolů. Výchozí hodnota je user, system. |
ActionType
Výčet. Označuje typ akce. Interní označuje akce, které jsou určené pouze pro interní rozhraní API.
| Hodnota | Description |
|---|---|
| Internal |
CloudError
Obsahuje informace o chybě rozhraní API.
| Název | Typ | Description |
|---|---|---|
| error |
Popisuje konkrétní chybu rozhraní API s kódem chyby a zprávou. |
|
| message |
string |
Stručný popis chyby, která naznačuje, co se nepovedlo (podrobnosti nebo informace o ladění najdete ve vlastnosti error.message). |
CloudErrorBody
Popisuje konkrétní chybu rozhraní API s kódem chyby a zprávou.
| Název | Typ | Description |
|---|---|---|
| code |
string |
Kód chyby, který popisuje chybový stav přesněji než stavový kód HTTP. Dá se použít k programovému zpracování konkrétních případů chyb. |
| details |
Obsahuje vnořené chyby, které souvisejí s touto chybou. |
|
| message |
string |
Zpráva, která podrobně popisuje chybu a poskytuje informace o ladění. |
| target |
string |
Cíl konkrétní chyby (například název chybné vlastnosti). |
Display
Lokalizované informace o zobrazení pro tuto konkrétní operaci
| Název | Typ | Description |
|---|---|---|
| description |
string |
Krátký, lokalizovaný a srozumitelný popis operace, vhodný pro použití v popiscích a detailních zobrazeních. |
| operation |
string |
Stručný, lokalizovaný uživatelsky přívětivý název operace; vhodný pro rozevírací seznamy. Například "Vytvořit nebo aktualizovat virtuální počítač", "Restartovat virtuální počítač". |
| provider |
string |
Lokalizovaná uživatelsky přívětivá podoba názvu poskytovatele prostředků, například „Microsoft Monitoring Insights“ nebo „Microsoft Compute“. |
| resource |
string |
Lokalizovaný popisný název typu prostředku souvisejícího s touto operací. Například "Virtuální počítače" nebo "Kolekce plánů úloh". |
Operation
Operace rozhraní REST API
| Název | Typ | Description |
|---|---|---|
| actionType |
Výčet. Označuje typ akce. Interní označuje akce, které jsou určené pouze pro interní rozhraní API. |
|
| display |
Lokalizované informace o zobrazení pro tuto konkrétní operaci |
|
| isDataAction |
boolean |
Určuje, jestli se operace vztahuje na rovinu dat. To je „pravda“ pro operace roviny dat a „nepravda“ pro operace ARM/řídicí roviny. |
| name |
string |
Název operace podle Resource-Based řízení přístupu (RBAC). Příklady: "Microsoft. Compute/virtualMachines/write", "Microsoft. Vypočitat/virtualStroje/zachytit/akce" |
| origin |
Zamýšlený vykonavatel operace; například v řízení přístupu založeném na prostředcích (RBAC) a v uživatelském rozhraní auditních protokolů. Výchozí hodnota je user, system. |
OperationListResult
Výsledek požadavku na výpis operací rozhraní REST API. Obsahuje seznam operací a adresu URL pro získání další sady výsledků.
| Název | Typ | Description |
|---|---|---|
| nextLink |
string |
Adresa URL pro získání další sady výsledků seznamu operací( pokud existuje). |
| value |
Seznam operací ve službě Azure AI Vyhledávač, některé podporované poskytovatelem prostředků a dalšími rozhraními API roviny dat. |
Origin
Zamýšlený vykonavatel operace; například v řízení přístupu založeném na prostředcích (RBAC) a v uživatelském rozhraní auditních protokolů. Výchozí hodnota je user, system.
| Hodnota | Description |
|---|---|
| user | |
| system | |
| user,system |